/*****************************************************************/
/*                                                               */
/*   Mine Storm                                                  */
/*                                                               */
/*                                                               */
/*                                                               */
/*  2014 - par 4think pour le concours CPC n12 de plante casio */
/*                                                               */
/*****************************************************************/
#include "fxlib.h"
#include "math.h"

#define PI 3.1415927

int writeFile(unsigned char* name,unsigned char* extension,unsigned char* source,int taille) // Sauvegarde / chargement pour le hi-score, merci  Tenmatx grce  qui j'ai eu ces fonctions et  Dodormeur qui les a crites
 {
 FONTCHARACTER filename[20]={'\\','\\','f','l','s','0','\\'};
 int a = 0;
 int handle;
 do
     {
     filename[7+a]=name[a];
     a++;
     }while(name[a] != 0 && a<7);
 filename[7+a] = '.';
 filename[8+a] = extension[0];
 filename[9+a] = extension[1];
 filename[10+a] = extension[2];
 filename[11+a] = 0;

 Bfile_DeleteFile(filename);
 Bfile_CreateFile(filename,taille);
 handle = Bfile_OpenFile(filename,_OPENMODE_WRITE);
 if(handle>-1)
     {
     Bfile_WriteFile(handle,source,taille);
     Bfile_CloseFile(handle);
     return 1;
     }
 return 0;
 }

int readFile(unsigned char* name,unsigned char* extension,unsigned char* reception)
 {
 int taille;
 FONTCHARACTER filename[20]={'\\','\\','f','l','s','0','\\'};
 int handle;
 int a = 0;
 do
     {
     filename[7+a]=name[a];
     a++;
     }while(name[a] != 0 && a<7);
 filename[7+a] = '.';
 filename[8+a] = extension[0];
 filename[9+a] = extension[1];
 filename[10+a] = extension[2];
 filename[11+a] = 0;


 handle = Bfile_OpenFile(filename,_OPENMODE_READ);

 if(handle<0)return 0;
 taille = Bfile_GetFileSize(handle);
 if(handle>-1)
     {
     Bfile_ReadFile(handle,reception,taille,0);

     Bfile_CloseFile(handle);
 return 1;
     }
 return 0;
 }

int Rand32(int lower, int upper) // Par Pierrotll (je crois)
{
    static int a = 123456789;
    static int b = 362436069;
    static int c = 521288629;
    static int d = 88675123;
    int t;
    t = a ^ (a << 11);
    a = b;
    b = c;
    c = d;
    return (d = d ^ (d >> 19) ^ (t ^ (t >> 8 )))%upper + lower;
}

char* int2str(char* c, int n) // Convertir un entier en chaine (trouv sur plante casio)
{
    if(n==0)
    {
        c[0] = '0';
        c[1] = 0;
    }
    else
    {
        int i, l=0;
        for(i=n ; i ; i/=10)
            l++;
        c[l] = 0;
        for(i=n ; i ; i/=10)
            c[--l] = i%10+'0';
    }
    return c;
}

void drawPlayer(float posX, float posY, float dir) // Dessin du joueur
{
	Bdisp_DrawLineVRAM((int)(posX), (int)(posY), (int)(posX + (3 * cos(dir))), (int)(posY + (3 * sin(dir))));
	Bdisp_DrawLineVRAM((int)(posX + (1.414 * cos(dir + (3 * PI / 4)))), (int)(posY + (1.414 * sin(dir + (3 * PI / 4)))), (int)(posX), (int)(posY));
	Bdisp_DrawLineVRAM((int)(posX + (1.414 * cos(dir + (5 * PI / 4)))), (int)(posY + (1.414 * sin(dir + (5 * PI / 4)))), (int)(posX), (int)(posY));
	Bdisp_DrawLineVRAM((int)(posX + (2.828 * cos(dir + (3 * PI / 4)))), (int)(posY + (2.828 * sin(dir + (3 * PI / 4)))), (int)(posX + (2 * cos(dir + (PI / 2)))), (int)(posY + (2 * sin(dir + (PI / 2)))));
	Bdisp_DrawLineVRAM((int)(posX + (2.828 * cos(dir + (5 * PI / 4)))), (int)(posY + (2.828 * sin(dir + (5 * PI / 4)))), (int)(posX + (2 * cos(dir + (3 * PI / 2)))), (int)(posY + (2 * sin(dir + (3 * PI / 2)))));
}

void turnPlayer(float *dir) // Rotations du joueur
{
	if(IsKeyDown(KEY_CTRL_RIGHT))
	{
		*dir += 0.1;
	}
	if(IsKeyDown(KEY_CTRL_LEFT))
	{
		*dir -= 0.1;
	}
}

void movePlayer(float *posX, float *posY, float *vit, float dir) // Mouvements du joueur
{
	if(IsKeyDown(KEY_CTRL_ALPHA)) // La vitesse est mise  2 lors de l'appui sur alpha...
	{
		*vit = 2;
	}
	
	if(*vit > 0) //... et diminue au fil du temps
	{
		*vit -= 0.1;
	}
	if(*vit < 0)
	{
		*vit = 0;
	}
	
	// Dplacement du joueur selon son angle
	*posX += cos(dir) * *vit;
	*posY += sin(dir) * *vit;
	
	// Le joueur fait le tour lorsqu'il sort de l'cran
	if(*posX < 0)
	{
		*posX = 128;
	}
	if(*posY < 0)
	{
		*posY = 64;
	}
	if(*posX > 128)
	{
		*posX = 0;
	}
	if(*posY > 64)
	{
		*posY = 0;
	}
}

void shotPlayer(int *nbrTir, float tir[][4], float posX, float posY, float dir, int *bloqueTir, float ennemi[][5], int *nbrEnnemi, int destroyEnnemi[5]) // Tir du joueur et mort de l'ennemi
{
	int count, i, j;
	destroyEnnemi[0] = -1;
	
	if(*bloqueTir == 0 && IsKeyDown(KEY_CTRL_SHIFT)) // On ajoute un nouveau tir  chaque appui sur shift
	{
		tir[*nbrTir][0] = 0;
		tir[*nbrTir][1] = posX;
		tir[*nbrTir][2] = posY;
		tir[*nbrTir][3] = dir;
		*nbrTir += 1;
		*bloqueTir = 1;
	}
	if(*bloqueTir == 1 && IsKeyUp(KEY_CTRL_SHIFT)) // Il faut relacher shift pour pouvoir tirer  nouveau
	{
		*bloqueTir = 0;
	}
	
	for(i = 0; i < *nbrTir; i ++) // Dplacement de chaque tir
	{
		for(j = 0; j < *nbrEnnemi; j ++)
		{
			if(ennemi[j][1] - (2 * (3 - ennemi[j][4])) < tir[i][1] && ennemi[j][1] + (2 * (3 - ennemi[j][4])) > tir[i][1] && ennemi[j][2] - (2 * (3 - ennemi[j][4])) < tir[i][2] && ennemi[j][2] + (2 * (3 - ennemi[j][4])) > tir[i][2]) // Hitbox - A amliorer
			{
				destroyEnnemi[0] = (int)(ennemi[j][0]); // Sauvegarde de l'ennemi dtruit
				destroyEnnemi[1] = (int)(ennemi[j][4]);
				destroyEnnemi[2] = 0; // Pour l'explosion
				destroyEnnemi[3] = (int)(ennemi[j][1]);
				destroyEnnemi[4] = (int)(ennemi[j][2]);
				
				for(count = j; count < *nbrEnnemi - 1; count ++)
				{
					ennemi[count][0] = ennemi[count + 1][0];
					ennemi[count][1] = ennemi[count + 1][1];
					ennemi[count][2] = ennemi[count + 1][2];
					ennemi[count][3] = ennemi[count + 1][3];
					ennemi[count][4] = ennemi[count + 1][4];
				}
				*nbrEnnemi -= 1;
				for(count = i; count < *nbrTir - 1; count ++)
				{
					tir[count][0] = tir[count + 1][0];
					tir[count][1] = tir[count + 1][1];
					tir[count][2] = tir[count + 1][2];
					tir[count][3] = tir[count + 1][3];
				}
				*nbrTir -= 1;
			}
		}
		
		tir[i][1] += cos(tir[i][3]); // Modifier si vitesse de tir trop faible
		tir[i][2] += sin(tir[i][3]);
		tir[i][0] += 1;
		
		if(tir[i][1] < 0)
		{
			tir[i][1] = 128;
		}
		if(tir[i][2] < 0)
		{
			tir[i][2] = 64;
		}
		if(tir[i][1] > 128)
		{
			tir[i][1] = 0;
		}
		if(tir[i][2] > 64)
		{
			tir[i][2] = 0;
		}
		
		Bdisp_SetPoint_VRAM((int)(tir[i][1]), (int)(tir[i][2]), 1);
	}
	
	if(*nbrTir > 0)
	{
		if(tir[0][0] > 64) // Longueur du tir, au bout de 64 pixels, le tir est dtruit
		{
			for(count = 0; count < *nbrTir - 1; count ++)
			{
				tir[count][0] = tir[count + 1][0];
				tir[count][1] = tir[count + 1][1];
				tir[count][2] = tir[count + 1][2];
				tir[count][3] = tir[count + 1][3];
			}
			*nbrTir -= 1;
		}
	}
}

int diePlayer(float posX, float posY, float ennX, float ennY, int taille) // Test de collision du joueur
{
	if(ennX - (2 * (3 - taille)) < posX && ennX + (2 * (3 - taille)) > posX && ennY - (2 * (3 - taille)) < posY && ennY + (2 * (3 - taille)) > posY) // Hitbox - A amliorer
	{
		return 1;
	}else
	{
		return 0;
	}
}

int killPlayer(float posX, float posY, float ennemi[][5], int nbrEnnemi) // Test de mort du joueur
{
	int i;
	int j = 0;
	for(i = 0; i < nbrEnnemi; i ++)
	{
		j += diePlayer(posX, posY, ennemi[i][1], ennemi[i][2], (int)(ennemi[i][4]));
	}
	return j;
}

void explosePlayer(int posX, int posY, int *debrits) // "Animation" d'explosion du joueur
{
	Bdisp_DrawLineVRAM(posX - 1 + (*debrits / 10), posY + (*debrits / 10), posX + 1 + (*debrits / 10), posY + (*debrits / 10));
	Bdisp_DrawLineVRAM(posX - 1 + (*debrits / 10), posY - (*debrits / 10), posX + 1 + (*debrits / 10), posY - (*debrits / 10));
	Bdisp_DrawLineVRAM(posX - 1 - (*debrits / 10), posY + (*debrits / 10), posX + 1 - (*debrits / 10), posY + (*debrits / 10));
	Bdisp_DrawLineVRAM(posX - 1 - (*debrits / 10), posY - (*debrits / 10), posX + 1 - (*debrits / 10), posY - (*debrits / 10));
	*debrits += 1;
}

void winPlayer(int *stars) // "Animation" de victoire du joueur
{
	int i;
	int dist = 0;
	for(i = 0; i < *stars; i ++)
	{
		dist += 1;
		if(dist > 20) // Amplitude de l'animation
		{
			dist = 0;
		}
	}
	Bdisp_SetPoint_VRAM(64 + dist, 31, 1);
	Bdisp_SetPoint_VRAM(64 - dist, 31, 1);
	Bdisp_SetPoint_VRAM(64, 31 + dist, 1);
	Bdisp_SetPoint_VRAM(64, 31 - dist, 1);
	Bdisp_SetPoint_VRAM(64 + dist, 31 + dist, 1);
	Bdisp_SetPoint_VRAM(64 - dist, 31 + dist, 1);
	Bdisp_SetPoint_VRAM(64 + dist, 31 - dist, 1);
	Bdisp_SetPoint_VRAM(64 - dist, 31 - dist, 1);
	*stars += 1;
}

void newEnnemi(int type, int taille, float ennemi[][5], int *nbrEnnemi, int playerX, int playerY) // Ajout d'une ennemi
{
	if(taille < 3)
	{
		ennemi[*nbrEnnemi][0] = type; // Type de l'ennemi : 0 = Simple ; 1 = Suiveur
		ennemi[*nbrEnnemi][4] = taille; // Taille de l'ennemi : 0 = Grand ; 1 = Moyen ; 2 = Petit
		ennemi[*nbrEnnemi][3] = (Rand32(0,1000000) / 1000000.0) * 2 * PI; // Direction alatoire
	
		do // Place l'ennemi de manire alatoire, mais sans qu'il touche le joueur
		{
			ennemi[*nbrEnnemi][1] = (Rand32(0,1000000) / 1000000.0) * 128;
			ennemi[*nbrEnnemi][2] = (Rand32(0,1000000) / 1000000.0) * 64;
		}while(diePlayer(playerX, playerY, ennemi[*nbrEnnemi][1], ennemi[*nbrEnnemi][2], (int)(ennemi[*nbrEnnemi][4])) == 1);
		*nbrEnnemi += 1;
	}
}

void moveEnnemi(float ennemi[][5], int nbrEnnemi) // Affichage et dplacement des ennemis
{
	int i;
	for(i = 0; i < nbrEnnemi; i ++)
	{
		switch((int)(ennemi[i][0]))
		{
			case 0 : // Ennemi normal
			Bdisp_DrawLineVRAM((int)(ennemi[i][1] + (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] - (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][1] + (6 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] + (3 * (3 - ennemi[i][4]) / 3.0)));
			Bdisp_DrawLineVRAM((int)(ennemi[i][1]), (int)(ennemi[i][2] + (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][1] + (6 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] + (3 * (3 - ennemi[i][4]) / 3.0)));
			Bdisp_DrawLineVRAM((int)(ennemi[i][1]), (int)(ennemi[i][2] + (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][1] - (6 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] + (3 * (3 - ennemi[i][4]) / 3.0)));
			Bdisp_DrawLineVRAM((int)(ennemi[i][1] - (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] - (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][1] - (6 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] + (3 * (3 - ennemi[i][4]) / 3.0)));
			Bdisp_DrawLineVRAM((int)(ennemi[i][1] - (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] - (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][1]), (int)(ennemi[i][2] - (8 * (3 - ennemi[i][4]) / 3.0)));
			Bdisp_DrawLineVRAM((int)(ennemi[i][1] + (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][2] - (2 * (3 - ennemi[i][4]) / 3.0)), (int)(ennemi[i][1]), (int)(ennemi[i][2] - (8 * (3 - ennemi[i][4]) / 3.0)));
			break;
		}
		ennemi[i][1] += 0.2 * cos(ennemi[i][3]) * (ennemi[i][4] + 1); // Ajuster la vitesse
		ennemi[i][2] += 0.2 * sin(ennemi[i][3]) * (ennemi[i][4] + 1);
		if(ennemi[i][1] < 0)
		{
			ennemi[i][1] = 128;
		}
		if(ennemi[i][2] < 0)
		{
			ennemi[i][2] = 64;
		}
		if(ennemi[i][1] > 128)
		{
			ennemi[i][1] = 0;
		}
		if(ennemi[i][2] > 64)
		{
			ennemi[i][2] = 0;
		}
	}
}

void exploseEnnemi(int destroyEnnemi[5]) // "Animation" d'explosion sur l'ennemi
{
	if(destroyEnnemi[2] < 20) // Taille de l'explosion
	{
		destroyEnnemi[2] += 1; // Vitesse de l'explosion
		Bdisp_DrawLineVRAM(destroyEnnemi[3], destroyEnnemi[4], destroyEnnemi[3], destroyEnnemi[4] + destroyEnnemi[2]);
		Bdisp_DrawLineVRAM(destroyEnnemi[3], destroyEnnemi[4], destroyEnnemi[3], destroyEnnemi[4] - destroyEnnemi[2]);
		Bdisp_DrawLineVRAM(destroyEnnemi[3], destroyEnnemi[4], destroyEnnemi[3] + (int)(destroyEnnemi[2] * 0.866), destroyEnnemi[4] + (int)(destroyEnnemi[2] * 0.5));
		Bdisp_DrawLineVRAM(destroyEnnemi[3], destroyEnnemi[4], destroyEnnemi[3] + (int)(destroyEnnemi[2] * -0.866), destroyEnnemi[4] + (int)(destroyEnnemi[2] * 0.5));
		Bdisp_DrawLineVRAM(destroyEnnemi[3], destroyEnnemi[4], destroyEnnemi[3] + (int)(destroyEnnemi[2] * -0.866), destroyEnnemi[4] + (int)(destroyEnnemi[2] * -0.5));
		Bdisp_DrawLineVRAM(destroyEnnemi[3], destroyEnnemi[4], destroyEnnemi[3] + (int)(destroyEnnemi[2] * 0.866), destroyEnnemi[4] + (int)(destroyEnnemi[2] * -0.5));
	}
}

void initDestroyEnnemi(int destroyEnnemi[5]) // Initialisation de l'explosion de l'ennemi
{
	destroyEnnemi[2] = 1000;
}

void initStars(int stars[][2], int *nbStars) // Initialisation des toiles
{
	int i;
	int j = 0;
	for(i = 0; i < 64; i ++)
	{
		while(j <= i * *nbStars / 64)
		{
			stars[j][0] = Rand32(0, 128);
			stars[j][1] = i;
			j ++;
		}
	}
	*nbStars = j;
}

void drawStars(int stars[][2], int nbStars) // Affichage des toiles
{
	int i;
	for(i = 0; i < nbStars; i ++)
	{
		Bdisp_SetPoint_VRAM(stars[i][0], stars[i][1], 1);
	}
}

int testExit() // Test de la sortie
{
	if(IsKeyDown(KEY_CTRL_EXIT))
	{
		return 1;
	}else
	{
		return 0;
	}
}

int testExe() // Test de la touche Exe
{
	if(IsKeyDown(KEY_CTRL_EXE))
	{
		return 1;
	}else
	{
		return 0;
	}
}

void drawMenu() // Dessin du menu (Photo Casio)
{
Bdisp_DrawLineVRAM(31,4,36,4);
Bdisp_DrawLineVRAM(45,4,49,4);
Bdisp_SetPoint_VRAM(50,4,1);
Bdisp_DrawLineVRAM(54,4,63,4);
Bdisp_DrawLineVRAM(67,4,72,4);
Bdisp_DrawLineVRAM(74,4,79,4);
Bdisp_SetPoint_VRAM(80,4,1);
Bdisp_DrawLineVRAM(83,4,94,4);
Bdisp_SetPoint_VRAM(95,4,1);
Bdisp_DrawLineVRAM(33,5,37,5);
Bdisp_DrawLineVRAM(44,5,47,5);
Bdisp_SetPoint_VRAM(56,5,1);
Bdisp_DrawLineVRAM(57,5,61,5);
Bdisp_DrawLineVRAM(69,5,73,5);
Bdisp_SetPoint_VRAM(76,5,1);
Bdisp_SetPoint_VRAM(77,5,1);
Bdisp_SetPoint_VRAM(78,5,1);
Bdisp_SetPoint_VRAM(85,5,1);
Bdisp_DrawLineVRAM(86,5,90,5);
Bdisp_DrawLineVRAM(93,5,94,5);
Bdisp_SetPoint_VRAM(95,5,1);
Bdisp_SetPoint_VRAM(33,6,1);
Bdisp_DrawLineVRAM(34,6,38,6);
Bdisp_SetPoint_VRAM(43,6,1);
Bdisp_DrawLineVRAM(44,6,47,6);
Bdisp_SetPoint_VRAM(56,6,1);
Bdisp_DrawLineVRAM(57,6,61,6);
Bdisp_SetPoint_VRAM(69,6,1);
Bdisp_DrawLineVRAM(70,6,75,6);
Bdisp_DrawLineVRAM(77,6,78,6);
Bdisp_SetPoint_VRAM(85,6,1);
Bdisp_DrawLineVRAM(86,6,90,6);
Bdisp_SetPoint_VRAM(94,6,1);
Bdisp_SetPoint_VRAM(95,6,1);
Bdisp_SetPoint_VRAM(33,7,1);
Bdisp_DrawLineVRAM(34,7,38,7);
Bdisp_SetPoint_VRAM(39,7,1);
Bdisp_SetPoint_VRAM(42,7,1);
Bdisp_DrawLineVRAM(43,7,47,7);
Bdisp_SetPoint_VRAM(56,7,1);
Bdisp_DrawLineVRAM(57,7,61,7);
Bdisp_SetPoint_VRAM(69,7,1);
Bdisp_DrawLineVRAM(70,7,78,7);
Bdisp_SetPoint_VRAM(85,7,1);
Bdisp_DrawLineVRAM(86,7,90,7);
Bdisp_SetPoint_VRAM(94,7,1);
Bdisp_SetPoint_VRAM(33,8,1);
Bdisp_DrawLineVRAM(34,8,39,8);
Bdisp_SetPoint_VRAM(40,8,1);
Bdisp_DrawLineVRAM(42,8,47,8);
Bdisp_SetPoint_VRAM(48,8,1);
Bdisp_SetPoint_VRAM(56,8,1);
Bdisp_DrawLineVRAM(57,8,61,8);
Bdisp_SetPoint_VRAM(69,8,1);
Bdisp_DrawLineVRAM(70,8,78,8);
Bdisp_SetPoint_VRAM(85,8,1);
Bdisp_DrawLineVRAM(86,8,93,8);
Bdisp_SetPoint_VRAM(33,9,1);
Bdisp_DrawLineVRAM(34,9,47,9);
Bdisp_SetPoint_VRAM(48,9,1);
Bdisp_SetPoint_VRAM(56,9,1);
Bdisp_DrawLineVRAM(57,9,61,9);
Bdisp_SetPoint_VRAM(69,9,1);
Bdisp_DrawLineVRAM(70,9,77,9);
Bdisp_SetPoint_VRAM(78,9,1);
Bdisp_SetPoint_VRAM(85,9,1);
Bdisp_DrawLineVRAM(86,9,90,9);
Bdisp_DrawLineVRAM(92,9,93,9);
Bdisp_DrawLineVRAM(33,10,34,10);
Bdisp_DrawLineVRAM(35,10,41,10);
Bdisp_SetPoint_VRAM(42,10,1);
Bdisp_DrawLineVRAM(43,10,47,10);
Bdisp_SetPoint_VRAM(48,10,1);
Bdisp_SetPoint_VRAM(56,10,1);
Bdisp_DrawLineVRAM(57,10,61,10);
Bdisp_SetPoint_VRAM(69,10,1);
Bdisp_SetPoint_VRAM(70,10,1);
Bdisp_SetPoint_VRAM(71,10,1);
Bdisp_DrawLineVRAM(72,10,77,10);
Bdisp_SetPoint_VRAM(78,10,1);
Bdisp_SetPoint_VRAM(85,10,1);
Bdisp_DrawLineVRAM(86,10,90,10);
Bdisp_SetPoint_VRAM(92,10,1);
Bdisp_SetPoint_VRAM(93,10,1);
Bdisp_SetPoint_VRAM(95,10,1);
Bdisp_DrawLineVRAM(33,11,34,11);
Bdisp_DrawLineVRAM(35,11,41,11);
Bdisp_SetPoint_VRAM(42,11,1);
Bdisp_DrawLineVRAM(43,11,47,11);
Bdisp_SetPoint_VRAM(48,11,1);
Bdisp_SetPoint_VRAM(56,11,1);
Bdisp_DrawLineVRAM(57,11,61,11);
Bdisp_SetPoint_VRAM(69,11,1);
Bdisp_SetPoint_VRAM(70,11,1);
Bdisp_SetPoint_VRAM(71,11,1);
Bdisp_DrawLineVRAM(72,11,77,11);
Bdisp_SetPoint_VRAM(78,11,1);
Bdisp_SetPoint_VRAM(85,11,1);
Bdisp_DrawLineVRAM(86,11,90,11);
Bdisp_SetPoint_VRAM(92,11,1);
Bdisp_SetPoint_VRAM(93,11,1);
Bdisp_SetPoint_VRAM(95,11,1);
Bdisp_SetPoint_VRAM(33,12,1);
Bdisp_SetPoint_VRAM(34,12,1);
Bdisp_DrawLineVRAM(36,12,40,12);
Bdisp_SetPoint_VRAM(42,12,1);
Bdisp_DrawLineVRAM(43,12,47,12);
Bdisp_SetPoint_VRAM(48,12,1);
Bdisp_SetPoint_VRAM(56,12,1);
Bdisp_DrawLineVRAM(57,12,61,12);
Bdisp_SetPoint_VRAM(69,12,1);
Bdisp_SetPoint_VRAM(70,12,1);
Bdisp_DrawLineVRAM(73,12,77,12);
Bdisp_SetPoint_VRAM(78,12,1);
Bdisp_SetPoint_VRAM(85,12,1);
Bdisp_DrawLineVRAM(86,12,90,12);
Bdisp_SetPoint_VRAM(94,12,1);
Bdisp_SetPoint_VRAM(95,12,1);
Bdisp_DrawLineVRAM(33,13,34,13);
Bdisp_SetPoint_VRAM(35,13,1);
Bdisp_DrawLineVRAM(37,13,39,13);
Bdisp_SetPoint_VRAM(40,13,1);
Bdisp_DrawLineVRAM(43,13,47,13);
Bdisp_SetPoint_VRAM(48,13,1);
Bdisp_SetPoint_VRAM(56,13,1);
Bdisp_DrawLineVRAM(57,13,61,13);
Bdisp_SetPoint_VRAM(69,13,1);
Bdisp_SetPoint_VRAM(70,13,1);
Bdisp_SetPoint_VRAM(71,13,1);
Bdisp_DrawLineVRAM(74,13,75,13);
Bdisp_DrawLineVRAM(76,13,77,13);
Bdisp_SetPoint_VRAM(78,13,1);
Bdisp_SetPoint_VRAM(85,13,1);
Bdisp_DrawLineVRAM(86,13,90,13);
Bdisp_SetPoint_VRAM(92,13,1);
Bdisp_DrawLineVRAM(93,13,94,13);
Bdisp_SetPoint_VRAM(95,13,1);
Bdisp_DrawLineVRAM(31,14,36,14);
Bdisp_SetPoint_VRAM(37,14,1);
Bdisp_SetPoint_VRAM(38,14,1);
Bdisp_DrawLineVRAM(39,14,40,14);
Bdisp_DrawLineVRAM(41,14,50,14);
Bdisp_DrawLineVRAM(54,14,63,14);
Bdisp_SetPoint_VRAM(64,14,1);
Bdisp_SetPoint_VRAM(67,14,1);
Bdisp_DrawLineVRAM(68,14,72,14);
Bdisp_SetPoint_VRAM(73,14,1);
Bdisp_SetPoint_VRAM(77,14,1);
Bdisp_SetPoint_VRAM(78,14,1);
Bdisp_DrawLineVRAM(83,14,94,14);
Bdisp_SetPoint_VRAM(95,14,1);
Bdisp_SetPoint_VRAM(22,19,1);
Bdisp_DrawLineVRAM(23,19,27,19);
Bdisp_SetPoint_VRAM(28,19,1);
Bdisp_SetPoint_VRAM(29,19,1);
Bdisp_DrawLineVRAM(33,19,46,19);
Bdisp_SetPoint_VRAM(47,19,1);
Bdisp_DrawLineVRAM(54,19,60,19);
Bdisp_DrawLineVRAM(66,19,76,19);
Bdisp_DrawLineVRAM(85,19,90,19);
Bdisp_DrawLineVRAM(99,19,103,19);
Bdisp_SetPoint_VRAM(104,19,1);
Bdisp_DrawLineVRAM(21,20,22,20);
Bdisp_SetPoint_VRAM(26,20,1);
Bdisp_DrawLineVRAM(27,20,28,20);
Bdisp_SetPoint_VRAM(29,20,1);
Bdisp_DrawLineVRAM(33,20,34,20);
Bdisp_SetPoint_VRAM(35,20,1);
Bdisp_SetPoint_VRAM(37,20,1);
Bdisp_DrawLineVRAM(38,20,42,20);
Bdisp_DrawLineVRAM(45,20,47,20);
Bdisp_SetPoint_VRAM(52,20,1);
Bdisp_DrawLineVRAM(53,20,56,20);
Bdisp_SetPoint_VRAM(58,20,1);
Bdisp_DrawLineVRAM(59,20,61,20);
Bdisp_SetPoint_VRAM(62,20,1);
Bdisp_SetPoint_VRAM(68,20,1);
Bdisp_DrawLineVRAM(69,20,72,20);
Bdisp_SetPoint_VRAM(73,20,1);
Bdisp_DrawLineVRAM(74,20,77,20);
Bdisp_SetPoint_VRAM(78,20,1);
Bdisp_DrawLineVRAM(87,20,91,20);
Bdisp_DrawLineVRAM(98,20,101,20);
Bdisp_SetPoint_VRAM(20,21,1);
Bdisp_DrawLineVRAM(21,21,24,21);
Bdisp_SetPoint_VRAM(25,21,1);
Bdisp_SetPoint_VRAM(27,21,1);
Bdisp_SetPoint_VRAM(28,21,1);
Bdisp_SetPoint_VRAM(33,21,1);
Bdisp_SetPoint_VRAM(34,21,1);
Bdisp_SetPoint_VRAM(37,21,1);
Bdisp_DrawLineVRAM(38,21,42,21);
Bdisp_SetPoint_VRAM(43,21,1);
Bdisp_DrawLineVRAM(46,21,47,21);
Bdisp_SetPoint_VRAM(51,21,1);
Bdisp_DrawLineVRAM(52,21,56,21);
Bdisp_SetPoint_VRAM(58,21,1);
Bdisp_DrawLineVRAM(59,21,62,21);
Bdisp_SetPoint_VRAM(63,21,1);
Bdisp_SetPoint_VRAM(68,21,1);
Bdisp_DrawLineVRAM(69,21,72,21);
Bdisp_SetPoint_VRAM(73,21,1);
Bdisp_SetPoint_VRAM(76,21,1);
Bdisp_SetPoint_VRAM(77,21,1);
Bdisp_SetPoint_VRAM(78,21,1);
Bdisp_SetPoint_VRAM(87,21,1);
Bdisp_DrawLineVRAM(88,21,92,21);
Bdisp_SetPoint_VRAM(97,21,1);
Bdisp_DrawLineVRAM(98,21,101,21);
Bdisp_SetPoint_VRAM(20,22,1);
Bdisp_DrawLineVRAM(21,22,27,22);
Bdisp_SetPoint_VRAM(28,22,1);
Bdisp_SetPoint_VRAM(33,22,1);
Bdisp_SetPoint_VRAM(37,22,1);
Bdisp_DrawLineVRAM(38,22,42,22);
Bdisp_SetPoint_VRAM(43,22,1);
Bdisp_SetPoint_VRAM(47,22,1);
Bdisp_DrawLineVRAM(51,22,55,22);
Bdisp_SetPoint_VRAM(56,22,1);
Bdisp_SetPoint_VRAM(58,22,1);
Bdisp_DrawLineVRAM(59,22,63,22);
Bdisp_SetPoint_VRAM(68,22,1);
Bdisp_DrawLineVRAM(69,22,72,22);
Bdisp_SetPoint_VRAM(73,22,1);
Bdisp_SetPoint_VRAM(77,22,1);
Bdisp_SetPoint_VRAM(78,22,1);
Bdisp_SetPoint_VRAM(87,22,1);
Bdisp_DrawLineVRAM(88,22,92,22);
Bdisp_SetPoint_VRAM(93,22,1);
Bdisp_SetPoint_VRAM(96,22,1);
Bdisp_DrawLineVRAM(97,22,101,22);
Bdisp_SetPoint_VRAM(20,23,1);
Bdisp_DrawLineVRAM(21,23,28,23);
Bdisp_SetPoint_VRAM(37,23,1);
Bdisp_DrawLineVRAM(38,23,42,23);
Bdisp_SetPoint_VRAM(43,23,1);
Bdisp_DrawLineVRAM(51,23,55,23);
Bdisp_SetPoint_VRAM(56,23,1);
Bdisp_DrawLineVRAM(59,23,63,23);
Bdisp_SetPoint_VRAM(68,23,1);
Bdisp_DrawLineVRAM(69,23,72,23);
Bdisp_SetPoint_VRAM(73,23,1);
Bdisp_SetPoint_VRAM(76,23,1);
Bdisp_SetPoint_VRAM(77,23,1);
Bdisp_SetPoint_VRAM(87,23,1);
Bdisp_DrawLineVRAM(88,23,93,23);
Bdisp_SetPoint_VRAM(94,23,1);
Bdisp_DrawLineVRAM(96,23,101,23);
Bdisp_SetPoint_VRAM(102,23,1);
Bdisp_DrawLineVRAM(21,24,29,24);
Bdisp_SetPoint_VRAM(37,24,1);
Bdisp_DrawLineVRAM(38,24,42,24);
Bdisp_SetPoint_VRAM(43,24,1);
Bdisp_DrawLineVRAM(51,24,55,24);
Bdisp_SetPoint_VRAM(56,24,1);
Bdisp_DrawLineVRAM(59,24,63,24);
Bdisp_SetPoint_VRAM(68,24,1);
Bdisp_DrawLineVRAM(69,24,77,24);
Bdisp_SetPoint_VRAM(78,24,1);
Bdisp_SetPoint_VRAM(87,24,1);
Bdisp_DrawLineVRAM(88,24,101,24);
Bdisp_SetPoint_VRAM(102,24,1);
Bdisp_DrawLineVRAM(22,25,29,25);
Bdisp_SetPoint_VRAM(37,25,1);
Bdisp_DrawLineVRAM(38,25,42,25);
Bdisp_SetPoint_VRAM(43,25,1);
Bdisp_DrawLineVRAM(51,25,55,25);
Bdisp_SetPoint_VRAM(56,25,1);
Bdisp_SetPoint_VRAM(58,25,1);
Bdisp_DrawLineVRAM(59,25,63,25);
Bdisp_SetPoint_VRAM(68,25,1);
Bdisp_DrawLineVRAM(69,25,72,25);
Bdisp_SetPoint_VRAM(73,25,1);
Bdisp_DrawLineVRAM(74,25,75,25);
Bdisp_DrawLineVRAM(76,25,78,25);
Bdisp_SetPoint_VRAM(79,25,1);
Bdisp_DrawLineVRAM(87,25,88,25);
Bdisp_DrawLineVRAM(89,25,95,25);
Bdisp_SetPoint_VRAM(96,25,1);
Bdisp_DrawLineVRAM(97,25,101,25);
Bdisp_SetPoint_VRAM(102,25,1);
Bdisp_SetPoint_VRAM(20,26,1);
Bdisp_SetPoint_VRAM(21,26,1);
Bdisp_SetPoint_VRAM(24,26,1);
Bdisp_DrawLineVRAM(25,26,29,26);
Bdisp_SetPoint_VRAM(37,26,1);
Bdisp_DrawLineVRAM(38,26,42,26);
Bdisp_SetPoint_VRAM(51,26,1);
Bdisp_DrawLineVRAM(52,26,56,26);
Bdisp_SetPoint_VRAM(58,26,1);
Bdisp_DrawLineVRAM(59,26,62,26);
Bdisp_SetPoint_VRAM(63,26,1);
Bdisp_SetPoint_VRAM(68,26,1);
Bdisp_DrawLineVRAM(69,26,73,26);
Bdisp_SetPoint_VRAM(76,26,1);
Bdisp_DrawLineVRAM(77,26,79,26);
Bdisp_SetPoint_VRAM(80,26,1);
Bdisp_SetPoint_VRAM(87,26,1);
Bdisp_SetPoint_VRAM(88,26,1);
Bdisp_DrawLineVRAM(90,26,94,26);
Bdisp_SetPoint_VRAM(96,26,1);
Bdisp_DrawLineVRAM(97,26,101,26);
Bdisp_SetPoint_VRAM(102,26,1);
Bdisp_SetPoint_VRAM(20,27,1);
Bdisp_SetPoint_VRAM(21,27,1);
Bdisp_SetPoint_VRAM(22,27,1);
Bdisp_DrawLineVRAM(27,27,28,27);
Bdisp_SetPoint_VRAM(37,27,1);
Bdisp_DrawLineVRAM(38,27,42,27);
Bdisp_SetPoint_VRAM(52,27,1);
Bdisp_DrawLineVRAM(53,27,56,27);
Bdisp_SetPoint_VRAM(58,27,1);
Bdisp_DrawLineVRAM(59,27,61,27);
Bdisp_SetPoint_VRAM(62,27,1);
Bdisp_SetPoint_VRAM(68,27,1);
Bdisp_DrawLineVRAM(69,27,72,27);
Bdisp_SetPoint_VRAM(73,27,1);
Bdisp_SetPoint_VRAM(76,27,1);
Bdisp_DrawLineVRAM(77,27,80,27);
Bdisp_DrawLineVRAM(87,27,88,27);
Bdisp_SetPoint_VRAM(89,27,1);
Bdisp_DrawLineVRAM(91,27,93,27);
Bdisp_SetPoint_VRAM(94,27,1);
Bdisp_DrawLineVRAM(97,27,101,27);
Bdisp_SetPoint_VRAM(102,27,1);
Bdisp_SetPoint_VRAM(20,28,1);
Bdisp_DrawLineVRAM(21,28,27,28);
Bdisp_DrawLineVRAM(35,28,45,28);
Bdisp_DrawLineVRAM(54,28,59,28);
Bdisp_SetPoint_VRAM(60,28,1);
Bdisp_DrawLineVRAM(66,28,75,28);
Bdisp_SetPoint_VRAM(76,28,1);
Bdisp_DrawLineVRAM(77,28,81,28);
Bdisp_SetPoint_VRAM(82,28,1);
Bdisp_DrawLineVRAM(85,28,90,28);
Bdisp_SetPoint_VRAM(91,28,1);
Bdisp_SetPoint_VRAM(92,28,1);
Bdisp_DrawLineVRAM(93,28,94,28);
Bdisp_DrawLineVRAM(95,28,103,28);
Bdisp_SetPoint_VRAM(104,28,1);
Bdisp_SetPoint_VRAM(21,29,1);
Bdisp_SetPoint_VRAM(8,37,1);
Bdisp_SetPoint_VRAM(9,37,1);
Bdisp_SetPoint_VRAM(15,37,1);
Bdisp_DrawLineVRAM(16,37,19,37);
Bdisp_SetPoint_VRAM(20,37,1);
Bdisp_SetPoint_VRAM(22,37,1);
Bdisp_DrawLineVRAM(23,37,26,37);
Bdisp_SetPoint_VRAM(27,37,1);
Bdisp_SetPoint_VRAM(29,37,1);
Bdisp_DrawLineVRAM(30,37,31,37);
Bdisp_SetPoint_VRAM(32,37,1);
Bdisp_SetPoint_VRAM(35,37,1);
Bdisp_DrawLineVRAM(36,37,37,37);
Bdisp_SetPoint_VRAM(38,37,1);
Bdisp_DrawLineVRAM(39,37,41,37);
Bdisp_SetPoint_VRAM(42,37,1);
Bdisp_SetPoint_VRAM(45,37,1);
Bdisp_DrawLineVRAM(46,37,47,37);
Bdisp_SetPoint_VRAM(48,37,1);
Bdisp_DrawLineVRAM(49,37,62,37);
Bdisp_SetPoint_VRAM(68,37,1);
Bdisp_DrawLineVRAM(69,37,70,37);
Bdisp_DrawLineVRAM(71,37,72,37);
Bdisp_SetPoint_VRAM(73,37,1);
Bdisp_DrawLineVRAM(74,37,76,37);
Bdisp_SetPoint_VRAM(77,37,1);
Bdisp_SetPoint_VRAM(80,37,1);
Bdisp_DrawLineVRAM(81,37,82,37);
Bdisp_DrawLineVRAM(83,37,84,37);
Bdisp_DrawLineVRAM(85,37,88,37);
Bdisp_SetPoint_VRAM(89,37,1);
Bdisp_SetPoint_VRAM(97,37,1);
Bdisp_DrawLineVRAM(98,37,106,37);
Bdisp_SetPoint_VRAM(107,37,1);
Bdisp_DrawLineVRAM(110,37,111,37);
Bdisp_DrawLineVRAM(112,37,113,37);
Bdisp_DrawLineVRAM(114,37,119,37);
Bdisp_SetPoint_VRAM(124,37,1);
Bdisp_SetPoint_VRAM(125,37,1);
Bdisp_SetPoint_VRAM(8,38,1);
Bdisp_SetPoint_VRAM(9,38,1);
Bdisp_SetPoint_VRAM(16,38,1);
Bdisp_SetPoint_VRAM(19,38,1);
Bdisp_SetPoint_VRAM(20,38,1);
Bdisp_SetPoint_VRAM(23,38,1);
Bdisp_SetPoint_VRAM(26,38,1);
Bdisp_SetPoint_VRAM(27,38,1);
Bdisp_SetPoint_VRAM(30,38,1);
Bdisp_SetPoint_VRAM(36,38,1);
Bdisp_DrawLineVRAM(40,38,41,38);
Bdisp_SetPoint_VRAM(45,38,1);
Bdisp_SetPoint_VRAM(49,38,1);
Bdisp_SetPoint_VRAM(53,38,1);
Bdisp_SetPoint_VRAM(54,38,1);
Bdisp_SetPoint_VRAM(55,38,1);
Bdisp_SetPoint_VRAM(60,38,1);
Bdisp_SetPoint_VRAM(61,38,1);
Bdisp_SetPoint_VRAM(67,38,1);
Bdisp_SetPoint_VRAM(68,38,1);
Bdisp_SetPoint_VRAM(71,38,1);
Bdisp_DrawLineVRAM(74,38,75,38);
Bdisp_SetPoint_VRAM(81,38,1);
Bdisp_SetPoint_VRAM(85,38,1);
Bdisp_SetPoint_VRAM(88,38,1);
Bdisp_SetPoint_VRAM(89,38,1);
Bdisp_SetPoint_VRAM(98,38,1);
Bdisp_DrawLineVRAM(102,38,103,38);
Bdisp_SetPoint_VRAM(105,38,1);
Bdisp_SetPoint_VRAM(106,38,1);
Bdisp_SetPoint_VRAM(114,38,1);
Bdisp_DrawLineVRAM(118,38,119,38);
Bdisp_SetPoint_VRAM(124,38,1);
Bdisp_SetPoint_VRAM(7,39,1);
Bdisp_SetPoint_VRAM(9,39,1);
Bdisp_SetPoint_VRAM(15,39,1);
Bdisp_SetPoint_VRAM(16,39,1);
Bdisp_SetPoint_VRAM(19,39,1);
Bdisp_SetPoint_VRAM(20,39,1);
Bdisp_SetPoint_VRAM(22,39,1);
Bdisp_SetPoint_VRAM(23,39,1);
Bdisp_SetPoint_VRAM(26,39,1);
Bdisp_SetPoint_VRAM(27,39,1);
Bdisp_DrawLineVRAM(29,39,30,39);
Bdisp_SetPoint_VRAM(35,39,1);
Bdisp_SetPoint_VRAM(36,39,1);
Bdisp_SetPoint_VRAM(41,39,1);
Bdisp_SetPoint_VRAM(44,39,1);
Bdisp_SetPoint_VRAM(48,39,1);
Bdisp_SetPoint_VRAM(49,39,1);
Bdisp_SetPoint_VRAM(54,39,1);
Bdisp_SetPoint_VRAM(59,39,1);
Bdisp_SetPoint_VRAM(60,39,1);
Bdisp_SetPoint_VRAM(66,39,1);
Bdisp_SetPoint_VRAM(67,39,1);
Bdisp_DrawLineVRAM(73,39,75,39);
Bdisp_SetPoint_VRAM(80,39,1);
Bdisp_SetPoint_VRAM(81,39,1);
Bdisp_SetPoint_VRAM(84,39,1);
Bdisp_SetPoint_VRAM(85,39,1);
Bdisp_SetPoint_VRAM(89,39,1);
Bdisp_SetPoint_VRAM(97,39,1);
Bdisp_SetPoint_VRAM(98,39,1);
Bdisp_SetPoint_VRAM(106,39,1);
Bdisp_SetPoint_VRAM(108,39,1);
Bdisp_SetPoint_VRAM(109,39,1);
Bdisp_SetPoint_VRAM(113,39,1);
Bdisp_SetPoint_VRAM(114,39,1);
Bdisp_SetPoint_VRAM(123,39,1);
Bdisp_SetPoint_VRAM(124,39,1);
Bdisp_DrawLineVRAM(6,40,7,40);
Bdisp_SetPoint_VRAM(9,40,1);
Bdisp_SetPoint_VRAM(15,40,1);
Bdisp_SetPoint_VRAM(16,40,1);
Bdisp_SetPoint_VRAM(19,40,1);
Bdisp_SetPoint_VRAM(20,40,1);
Bdisp_SetPoint_VRAM(22,40,1);
Bdisp_SetPoint_VRAM(23,40,1);
Bdisp_SetPoint_VRAM(26,40,1);
Bdisp_SetPoint_VRAM(27,40,1);
Bdisp_SetPoint_VRAM(29,40,1);
Bdisp_SetPoint_VRAM(30,40,1);
Bdisp_SetPoint_VRAM(35,40,1);
Bdisp_SetPoint_VRAM(36,40,1);
Bdisp_SetPoint_VRAM(41,40,1);
Bdisp_SetPoint_VRAM(42,40,1);
Bdisp_SetPoint_VRAM(43,40,1);
Bdisp_SetPoint_VRAM(48,40,1);
Bdisp_SetPoint_VRAM(49,40,1);
Bdisp_SetPoint_VRAM(52,40,1);
Bdisp_DrawLineVRAM(58,40,59,40);
Bdisp_SetPoint_VRAM(66,40,1);
Bdisp_SetPoint_VRAM(67,40,1);
Bdisp_SetPoint_VRAM(73,40,1);
Bdisp_DrawLineVRAM(74,40,75,40);
Bdisp_SetPoint_VRAM(80,40,1);
Bdisp_SetPoint_VRAM(81,40,1);
Bdisp_SetPoint_VRAM(84,40,1);
Bdisp_SetPoint_VRAM(85,40,1);
Bdisp_SetPoint_VRAM(88,40,1);
Bdisp_SetPoint_VRAM(89,40,1);
Bdisp_SetPoint_VRAM(97,40,1);
Bdisp_SetPoint_VRAM(98,40,1);
Bdisp_SetPoint_VRAM(101,40,1);
Bdisp_DrawLineVRAM(106,40,107,40);
Bdisp_SetPoint_VRAM(108,40,1);
Bdisp_SetPoint_VRAM(113,40,1);
Bdisp_SetPoint_VRAM(114,40,1);
Bdisp_SetPoint_VRAM(117,40,1);
Bdisp_SetPoint_VRAM(123,40,1);
Bdisp_SetPoint_VRAM(6,41,1);
Bdisp_SetPoint_VRAM(9,41,1);
Bdisp_DrawLineVRAM(15,41,18,41);
Bdisp_DrawLineVRAM(22,41,25,41);
Bdisp_SetPoint_VRAM(29,41,1);
Bdisp_SetPoint_VRAM(35,41,1);
Bdisp_SetPoint_VRAM(41,41,1);
Bdisp_SetPoint_VRAM(42,41,1);
Bdisp_DrawLineVRAM(48,41,51,41);
Bdisp_SetPoint_VRAM(52,41,1);
Bdisp_SetPoint_VRAM(57,41,1);
Bdisp_SetPoint_VRAM(58,41,1);
Bdisp_SetPoint_VRAM(67,41,1);
Bdisp_SetPoint_VRAM(68,41,1);
Bdisp_SetPoint_VRAM(69,41,1);
Bdisp_SetPoint_VRAM(73,41,1);
Bdisp_SetPoint_VRAM(80,41,1);
Bdisp_DrawLineVRAM(84,41,87,41);
Bdisp_DrawLineVRAM(97,41,100,41);
Bdisp_SetPoint_VRAM(101,41,1);
Bdisp_SetPoint_VRAM(106,41,1);
Bdisp_SetPoint_VRAM(107,41,1);
Bdisp_DrawLineVRAM(113,41,116,41);
Bdisp_SetPoint_VRAM(117,41,1);
Bdisp_SetPoint_VRAM(123,41,1);
Bdisp_DrawLineVRAM(5,42,9,42);
Bdisp_SetPoint_VRAM(14,42,1);
Bdisp_SetPoint_VRAM(15,42,1);
Bdisp_SetPoint_VRAM(21,42,1);
Bdisp_SetPoint_VRAM(22,42,1);
Bdisp_DrawLineVRAM(28,42,29,42);
Bdisp_SetPoint_VRAM(34,42,1);
Bdisp_SetPoint_VRAM(35,42,1);
Bdisp_SetPoint_VRAM(41,42,1);
Bdisp_SetPoint_VRAM(42,42,1);
Bdisp_SetPoint_VRAM(47,42,1);
Bdisp_SetPoint_VRAM(48,42,1);
Bdisp_SetPoint_VRAM(56,42,1);
Bdisp_SetPoint_VRAM(69,42,1);
Bdisp_SetPoint_VRAM(70,42,1);
Bdisp_DrawLineVRAM(72,42,73,42);
Bdisp_SetPoint_VRAM(79,42,1);
Bdisp_SetPoint_VRAM(80,42,1);
Bdisp_SetPoint_VRAM(83,42,1);
Bdisp_SetPoint_VRAM(84,42,1);
Bdisp_SetPoint_VRAM(86,42,1);
Bdisp_SetPoint_VRAM(87,42,1);
Bdisp_SetPoint_VRAM(96,42,1);
Bdisp_SetPoint_VRAM(97,42,1);
Bdisp_SetPoint_VRAM(105,42,1);
Bdisp_SetPoint_VRAM(106,42,1);
Bdisp_SetPoint_VRAM(107,42,1);
Bdisp_SetPoint_VRAM(108,42,1);
Bdisp_SetPoint_VRAM(112,42,1);
Bdisp_SetPoint_VRAM(113,42,1);
Bdisp_SetPoint_VRAM(123,42,1);
Bdisp_SetPoint_VRAM(4,43,1);
Bdisp_SetPoint_VRAM(9,43,1);
Bdisp_SetPoint_VRAM(14,43,1);
Bdisp_SetPoint_VRAM(15,43,1);
Bdisp_SetPoint_VRAM(21,43,1);
Bdisp_SetPoint_VRAM(22,43,1);
Bdisp_SetPoint_VRAM(28,43,1);
Bdisp_SetPoint_VRAM(29,43,1);
Bdisp_SetPoint_VRAM(34,43,1);
Bdisp_SetPoint_VRAM(35,43,1);
Bdisp_SetPoint_VRAM(41,43,1);
Bdisp_SetPoint_VRAM(47,43,1);
Bdisp_SetPoint_VRAM(48,43,1);
Bdisp_SetPoint_VRAM(54,43,1);
Bdisp_SetPoint_VRAM(55,43,1);
Bdisp_SetPoint_VRAM(69,43,1);
Bdisp_SetPoint_VRAM(70,43,1);
Bdisp_SetPoint_VRAM(72,43,1);
Bdisp_SetPoint_VRAM(73,43,1);
Bdisp_SetPoint_VRAM(79,43,1);
Bdisp_SetPoint_VRAM(80,43,1);
Bdisp_SetPoint_VRAM(83,43,1);
Bdisp_SetPoint_VRAM(84,43,1);
Bdisp_SetPoint_VRAM(87,43,1);
Bdisp_SetPoint_VRAM(88,43,1);
Bdisp_SetPoint_VRAM(96,43,1);
Bdisp_SetPoint_VRAM(97,43,1);
Bdisp_SetPoint_VRAM(104,43,1);
Bdisp_SetPoint_VRAM(105,43,1);
Bdisp_SetPoint_VRAM(107,43,1);
Bdisp_SetPoint_VRAM(108,43,1);
Bdisp_SetPoint_VRAM(112,43,1);
Bdisp_SetPoint_VRAM(113,43,1);
Bdisp_SetPoint_VRAM(122,43,1);
Bdisp_DrawLineVRAM(3,44,4,44);
Bdisp_SetPoint_VRAM(9,44,1);
Bdisp_DrawLineVRAM(10,44,11,44);
Bdisp_SetPoint_VRAM(14,44,1);
Bdisp_SetPoint_VRAM(21,44,1);
Bdisp_DrawLineVRAM(28,44,29,44);
Bdisp_DrawLineVRAM(33,44,34,44);
Bdisp_DrawLineVRAM(40,44,41,44);
Bdisp_SetPoint_VRAM(47,44,1);
Bdisp_SetPoint_VRAM(52,44,1);
Bdisp_SetPoint_VRAM(53,44,1);
Bdisp_SetPoint_VRAM(54,44,1);
Bdisp_SetPoint_VRAM(60,44,1);
Bdisp_SetPoint_VRAM(65,44,1);
Bdisp_SetPoint_VRAM(69,44,1);
Bdisp_DrawLineVRAM(72,44,73,44);
Bdisp_DrawLineVRAM(78,44,79,44);
Bdisp_SetPoint_VRAM(83,44,1);
Bdisp_DrawLineVRAM(87,44,88,44);
Bdisp_SetPoint_VRAM(96,44,1);
Bdisp_SetPoint_VRAM(101,44,1);
Bdisp_SetPoint_VRAM(103,44,1);
Bdisp_SetPoint_VRAM(107,44,1);
Bdisp_SetPoint_VRAM(108,44,1);
Bdisp_SetPoint_VRAM(112,44,1);
Bdisp_SetPoint_VRAM(117,44,1);
Bdisp_DrawLineVRAM(2,45,4,45);
Bdisp_SetPoint_VRAM(7,45,1);
Bdisp_DrawLineVRAM(8,45,14,45);
Bdisp_SetPoint_VRAM(15,45,1);
Bdisp_SetPoint_VRAM(19,45,1);
Bdisp_DrawLineVRAM(20,45,21,45);
Bdisp_SetPoint_VRAM(22,45,1);
Bdisp_DrawLineVRAM(29,45,32,45);
Bdisp_SetPoint_VRAM(33,45,1);
Bdisp_SetPoint_VRAM(34,45,1);
Bdisp_SetPoint_VRAM(35,45,1);
Bdisp_DrawLineVRAM(39,45,41,45);
Bdisp_SetPoint_VRAM(45,45,1);
Bdisp_DrawLineVRAM(46,45,59,45);
Bdisp_SetPoint_VRAM(60,45,1);
Bdisp_SetPoint_VRAM(64,45,1);
Bdisp_SetPoint_VRAM(65,45,1);
Bdisp_DrawLineVRAM(66,45,68,45);
Bdisp_DrawLineVRAM(73,45,77,45);
Bdisp_SetPoint_VRAM(78,45,1);
Bdisp_SetPoint_VRAM(79,45,1);
Bdisp_DrawLineVRAM(80,45,81,45);
Bdisp_DrawLineVRAM(82,45,83,45);
Bdisp_SetPoint_VRAM(84,45,1);
Bdisp_SetPoint_VRAM(87,45,1);
Bdisp_DrawLineVRAM(88,45,89,45);
Bdisp_SetPoint_VRAM(94,45,1);
Bdisp_DrawLineVRAM(95,45,103,45);
Bdisp_SetPoint_VRAM(106,45,1);
Bdisp_DrawLineVRAM(107,45,116,45);
Bdisp_SetPoint_VRAM(121,45,1);
Bdisp_SetPoint_VRAM(122,45,1);
Bdisp_SetPoint_VRAM(85,53,1);
Bdisp_SetPoint_VRAM(86,53,1);
Bdisp_DrawLineVRAM(95,53,96,53);
Bdisp_SetPoint_VRAM(108,53,1);
Bdisp_SetPoint_VRAM(109,53,1);
Bdisp_SetPoint_VRAM(14,54,1);
Bdisp_DrawLineVRAM(15,54,17,54);
Bdisp_SetPoint_VRAM(18,54,1);
Bdisp_SetPoint_VRAM(22,54,1);
Bdisp_DrawLineVRAM(23,54,25,54);
Bdisp_SetPoint_VRAM(26,54,1);
Bdisp_SetPoint_VRAM(30,54,1);
Bdisp_DrawLineVRAM(31,54,32,54);
Bdisp_SetPoint_VRAM(39,54,1);
Bdisp_SetPoint_VRAM(40,54,1);
Bdisp_SetPoint_VRAM(41,54,1);
Bdisp_SetPoint_VRAM(70,54,1);
Bdisp_SetPoint_VRAM(71,54,1);
Bdisp_SetPoint_VRAM(72,54,1);
Bdisp_SetPoint_VRAM(85,54,1);
Bdisp_DrawLineVRAM(95,54,96,54);
Bdisp_SetPoint_VRAM(108,54,1);
Bdisp_SetPoint_VRAM(109,54,1);
Bdisp_SetPoint_VRAM(14,55,1);
Bdisp_SetPoint_VRAM(17,55,1);
Bdisp_SetPoint_VRAM(18,55,1);
Bdisp_SetPoint_VRAM(19,55,1);
Bdisp_SetPoint_VRAM(22,55,1);
Bdisp_SetPoint_VRAM(23,55,1);
Bdisp_SetPoint_VRAM(25,55,1);
Bdisp_SetPoint_VRAM(26,55,1);
Bdisp_SetPoint_VRAM(27,55,1);
Bdisp_SetPoint_VRAM(29,55,1);
Bdisp_DrawLineVRAM(30,55,31,55);
Bdisp_SetPoint_VRAM(32,55,1);
Bdisp_DrawLineVRAM(39,55,40,55);
Bdisp_SetPoint_VRAM(41,55,1);
Bdisp_SetPoint_VRAM(70,55,1);
Bdisp_SetPoint_VRAM(71,55,1);
Bdisp_SetPoint_VRAM(72,55,1);
Bdisp_SetPoint_VRAM(78,55,1);
Bdisp_SetPoint_VRAM(79,55,1);
Bdisp_DrawLineVRAM(80,55,81,55);
Bdisp_SetPoint_VRAM(85,55,1);
Bdisp_SetPoint_VRAM(86,55,1);
Bdisp_SetPoint_VRAM(89,55,1);
Bdisp_DrawLineVRAM(94,55,95,55);
Bdisp_DrawLineVRAM(103,55,104,55);
Bdisp_SetPoint_VRAM(108,55,1);
Bdisp_SetPoint_VRAM(109,55,1);
Bdisp_SetPoint_VRAM(113,55,1);
Bdisp_SetPoint_VRAM(18,56,1);
Bdisp_SetPoint_VRAM(19,56,1);
Bdisp_SetPoint_VRAM(21,56,1);
Bdisp_SetPoint_VRAM(22,56,1);
Bdisp_DrawLineVRAM(26,56,27,56);
Bdisp_DrawLineVRAM(31,56,32,56);
Bdisp_SetPoint_VRAM(38,56,1);
Bdisp_SetPoint_VRAM(39,56,1);
Bdisp_SetPoint_VRAM(40,56,1);
Bdisp_SetPoint_VRAM(41,56,1);
Bdisp_DrawLineVRAM(69,56,70,56);
Bdisp_SetPoint_VRAM(71,56,1);
Bdisp_SetPoint_VRAM(72,56,1);
Bdisp_SetPoint_VRAM(76,56,1);
Bdisp_DrawLineVRAM(77,56,81,56);
Bdisp_SetPoint_VRAM(82,56,1);
Bdisp_SetPoint_VRAM(85,56,1);
Bdisp_SetPoint_VRAM(86,56,1);
Bdisp_DrawLineVRAM(87,56,90,56);
Bdisp_SetPoint_VRAM(93,56,1);
Bdisp_DrawLineVRAM(94,56,95,56);
Bdisp_SetPoint_VRAM(96,56,1);
Bdisp_SetPoint_VRAM(100,56,1);
Bdisp_SetPoint_VRAM(101,56,1);
Bdisp_SetPoint_VRAM(102,56,1);
Bdisp_DrawLineVRAM(103,56,105,56);
Bdisp_SetPoint_VRAM(106,56,1);
Bdisp_SetPoint_VRAM(108,56,1);
Bdisp_SetPoint_VRAM(109,56,1);
Bdisp_SetPoint_VRAM(112,56,1);
Bdisp_SetPoint_VRAM(113,56,1);
Bdisp_SetPoint_VRAM(17,57,1);
Bdisp_SetPoint_VRAM(18,57,1);
Bdisp_SetPoint_VRAM(21,57,1);
Bdisp_SetPoint_VRAM(22,57,1);
Bdisp_SetPoint_VRAM(26,57,1);
Bdisp_SetPoint_VRAM(27,57,1);
Bdisp_DrawLineVRAM(31,57,32,57);
Bdisp_SetPoint_VRAM(37,57,1);
Bdisp_SetPoint_VRAM(38,57,1);
Bdisp_SetPoint_VRAM(40,57,1);
Bdisp_SetPoint_VRAM(41,57,1);
Bdisp_SetPoint_VRAM(68,57,1);
Bdisp_SetPoint_VRAM(69,57,1);
Bdisp_SetPoint_VRAM(71,57,1);
Bdisp_SetPoint_VRAM(72,57,1);
Bdisp_SetPoint_VRAM(78,57,1);
Bdisp_SetPoint_VRAM(79,57,1);
Bdisp_DrawLineVRAM(85,57,86,57);
Bdisp_SetPoint_VRAM(89,57,1);
Bdisp_SetPoint_VRAM(90,57,1);
Bdisp_SetPoint_VRAM(91,57,1);
Bdisp_DrawLineVRAM(95,57,96,57);
Bdisp_SetPoint_VRAM(100,57,1);
Bdisp_SetPoint_VRAM(101,57,1);
Bdisp_SetPoint_VRAM(102,57,1);
Bdisp_SetPoint_VRAM(105,57,1);
Bdisp_SetPoint_VRAM(106,57,1);
Bdisp_SetPoint_VRAM(108,57,1);
Bdisp_DrawLineVRAM(109,57,110,57);
Bdisp_SetPoint_VRAM(111,57,1);
Bdisp_SetPoint_VRAM(112,57,1);
Bdisp_DrawLineVRAM(16,58,17,58);
Bdisp_SetPoint_VRAM(21,58,1);
Bdisp_SetPoint_VRAM(22,58,1);
Bdisp_SetPoint_VRAM(26,58,1);
Bdisp_SetPoint_VRAM(27,58,1);
Bdisp_DrawLineVRAM(31,58,32,58);
Bdisp_SetPoint_VRAM(37,58,1);
Bdisp_SetPoint_VRAM(38,58,1);
Bdisp_SetPoint_VRAM(40,58,1);
Bdisp_SetPoint_VRAM(41,58,1);
Bdisp_SetPoint_VRAM(53,58,1);
Bdisp_DrawLineVRAM(54,58,57,58);
Bdisp_SetPoint_VRAM(68,58,1);
Bdisp_SetPoint_VRAM(69,58,1);
Bdisp_SetPoint_VRAM(71,58,1);
Bdisp_SetPoint_VRAM(72,58,1);
Bdisp_SetPoint_VRAM(78,58,1);
Bdisp_SetPoint_VRAM(79,58,1);
Bdisp_SetPoint_VRAM(85,58,1);
Bdisp_SetPoint_VRAM(86,58,1);
Bdisp_SetPoint_VRAM(90,58,1);
Bdisp_SetPoint_VRAM(91,58,1);
Bdisp_DrawLineVRAM(95,58,96,58);
Bdisp_DrawLineVRAM(100,58,101,58);
Bdisp_SetPoint_VRAM(105,58,1);
Bdisp_SetPoint_VRAM(106,58,1);
Bdisp_DrawLineVRAM(108,58,110,58);
Bdisp_SetPoint_VRAM(111,58,1);
Bdisp_DrawLineVRAM(15,59,16,59);
Bdisp_SetPoint_VRAM(21,59,1);
Bdisp_SetPoint_VRAM(22,59,1);
Bdisp_DrawLineVRAM(26,59,27,59);
Bdisp_DrawLineVRAM(31,59,32,59);
Bdisp_SetPoint_VRAM(36,59,1);
Bdisp_DrawLineVRAM(37,59,38,59);
Bdisp_SetPoint_VRAM(39,59,1);
Bdisp_DrawLineVRAM(40,59,41,59);
Bdisp_SetPoint_VRAM(42,59,1);
Bdisp_DrawLineVRAM(53,59,54,59);
Bdisp_DrawLineVRAM(55,59,56,59);
Bdisp_SetPoint_VRAM(57,59,1);
Bdisp_SetPoint_VRAM(67,59,1);
Bdisp_DrawLineVRAM(68,59,69,59);
Bdisp_SetPoint_VRAM(70,59,1);
Bdisp_DrawLineVRAM(71,59,72,59);
Bdisp_SetPoint_VRAM(73,59,1);
Bdisp_SetPoint_VRAM(78,59,1);
Bdisp_SetPoint_VRAM(79,59,1);
Bdisp_SetPoint_VRAM(85,59,1);
Bdisp_SetPoint_VRAM(90,59,1);
Bdisp_SetPoint_VRAM(91,59,1);
Bdisp_DrawLineVRAM(95,59,96,59);
Bdisp_DrawLineVRAM(100,59,101,59);
Bdisp_DrawLineVRAM(105,59,106,59);
Bdisp_DrawLineVRAM(108,59,110,59);
Bdisp_SetPoint_VRAM(111,59,1);
Bdisp_SetPoint_VRAM(14,60,1);
Bdisp_SetPoint_VRAM(15,60,1);
Bdisp_SetPoint_VRAM(22,60,1);
Bdisp_SetPoint_VRAM(23,60,1);
Bdisp_SetPoint_VRAM(25,60,1);
Bdisp_SetPoint_VRAM(26,60,1);
Bdisp_SetPoint_VRAM(27,60,1);
Bdisp_DrawLineVRAM(31,60,32,60);
Bdisp_DrawLineVRAM(37,60,39,60);
Bdisp_SetPoint_VRAM(40,60,1);
Bdisp_SetPoint_VRAM(41,60,1);
Bdisp_DrawLineVRAM(68,60,70,60);
Bdisp_SetPoint_VRAM(71,60,1);
Bdisp_SetPoint_VRAM(72,60,1);
Bdisp_SetPoint_VRAM(78,60,1);
Bdisp_SetPoint_VRAM(79,60,1);
Bdisp_SetPoint_VRAM(85,60,1);
Bdisp_SetPoint_VRAM(90,60,1);
Bdisp_SetPoint_VRAM(91,60,1);
Bdisp_DrawLineVRAM(95,60,96,60);
Bdisp_DrawLineVRAM(100,60,101,60);
Bdisp_DrawLineVRAM(105,60,106,60);
Bdisp_SetPoint_VRAM(108,60,1);
Bdisp_SetPoint_VRAM(109,60,1);
Bdisp_DrawLineVRAM(111,60,112,60);
Bdisp_DrawLineVRAM(14,61,18,61);
Bdisp_SetPoint_VRAM(19,61,1);
Bdisp_SetPoint_VRAM(22,61,1);
Bdisp_DrawLineVRAM(23,61,25,61);
Bdisp_SetPoint_VRAM(26,61,1);
Bdisp_SetPoint_VRAM(29,61,1);
Bdisp_DrawLineVRAM(30,61,34,61);
Bdisp_SetPoint_VRAM(40,61,1);
Bdisp_SetPoint_VRAM(41,61,1);
Bdisp_SetPoint_VRAM(71,61,1);
Bdisp_SetPoint_VRAM(72,61,1);
Bdisp_SetPoint_VRAM(78,61,1);
Bdisp_DrawLineVRAM(79,61,81,61);
Bdisp_SetPoint_VRAM(82,61,1);
Bdisp_SetPoint_VRAM(85,61,1);
Bdisp_SetPoint_VRAM(90,61,1);
Bdisp_SetPoint_VRAM(91,61,1);
Bdisp_DrawLineVRAM(95,61,96,61);
Bdisp_DrawLineVRAM(100,61,101,61);
Bdisp_DrawLineVRAM(105,61,106,61);
Bdisp_SetPoint_VRAM(108,61,1);
Bdisp_SetPoint_VRAM(109,61,1);
Bdisp_DrawLineVRAM(112,61,113,61);
Bdisp_SetPoint_VRAM(114,61,1);

}

void drawWin(int score, int niveau, int vie) // Dessin de l'cran apparaissant entre les niveaux
{
	char *Txt[1];
	int i;
	
	int2str(Txt, score);
	locate(1, 1);
	Print((unsigned char*)("Score : "));
	locate(9, 1);
	Print((unsigned char*)(Txt));
	int2str(Txt, niveau);
	locate(5, 4);
	Print((unsigned char*)("MINE FIELD "));
	locate(16, 4);
	Print((unsigned char*)(Txt));
	
	for(i = 0; i < vie; i ++)
	{
		drawPlayer(123 - (i * 6), 60, 3 * PI / 2);
	}
}

void drawGameOver(int score) // Dessin du Game Over (Photo Casio)
{
char *Txt[1];
int hiScore[1];
hiScore[0] = 0;
// Test du hi-score
readFile("MineSt", "sav", hiScore);
if(hiScore[0] < score)
{
	hiScore[0] = score;
	writeFile("MineSt", "sav", hiScore, 4);
}

int2str(Txt, score);
locate(1, 7);
Print((unsigned char*)("Score : "));
locate(9, 7);
Print((unsigned char*)(Txt));
int2str(Txt, hiScore[0]);
locate(1, 8);
Print((unsigned char*)("Hi-score : "));
locate(12, 8);
Print((unsigned char*)(Txt));

Bdisp_SetPoint_VRAM(49,4,1);
Bdisp_SetPoint_VRAM(50,4,1);
Bdisp_DrawLineVRAM(21,5,27,5);
Bdisp_SetPoint_VRAM(28,5,1);
Bdisp_SetPoint_VRAM(30,5,1);
Bdisp_SetPoint_VRAM(31,5,1);
Bdisp_DrawLineVRAM(48,5,50,5);
Bdisp_SetPoint_VRAM(51,5,1);
Bdisp_SetPoint_VRAM(63,5,1);
Bdisp_DrawLineVRAM(64,5,71,5);
Bdisp_SetPoint_VRAM(72,5,1);
Bdisp_DrawLineVRAM(85,5,92,5);
Bdisp_SetPoint_VRAM(95,5,1);
Bdisp_DrawLineVRAM(96,5,112,5);
Bdisp_SetPoint_VRAM(113,5,1);
Bdisp_DrawLineVRAM(18,6,23,6);
Bdisp_SetPoint_VRAM(24,6,1);
Bdisp_SetPoint_VRAM(26,6,1);
Bdisp_DrawLineVRAM(27,6,30,6);
Bdisp_SetPoint_VRAM(31,6,1);
Bdisp_DrawLineVRAM(47,6,51,6);
Bdisp_SetPoint_VRAM(66,6,1);
Bdisp_DrawLineVRAM(67,6,72,6);
Bdisp_SetPoint_VRAM(83,6,1);
Bdisp_DrawLineVRAM(84,6,88,6);
Bdisp_SetPoint_VRAM(89,6,1);
Bdisp_SetPoint_VRAM(98,6,1);
Bdisp_DrawLineVRAM(99,6,106,6);
Bdisp_SetPoint_VRAM(109,6,1);
Bdisp_DrawLineVRAM(110,6,112,6);
Bdisp_SetPoint_VRAM(113,6,1);
Bdisp_SetPoint_VRAM(16,7,1);
Bdisp_DrawLineVRAM(17,7,23,7);
Bdisp_DrawLineVRAM(27,7,30,7);
Bdisp_SetPoint_VRAM(45,7,1);
Bdisp_DrawLineVRAM(46,7,51,7);
Bdisp_SetPoint_VRAM(66,7,1);
Bdisp_DrawLineVRAM(67,7,73,7);
Bdisp_SetPoint_VRAM(82,7,1);
Bdisp_DrawLineVRAM(83,7,88,7);
Bdisp_SetPoint_VRAM(98,7,1);
Bdisp_DrawLineVRAM(99,7,105,7);
Bdisp_SetPoint_VRAM(106,7,1);
Bdisp_DrawLineVRAM(111,7,112,7);
Bdisp_SetPoint_VRAM(15,8,1);
Bdisp_DrawLineVRAM(16,8,22,8);
Bdisp_SetPoint_VRAM(23,8,1);
Bdisp_DrawLineVRAM(27,8,29,8);
Bdisp_SetPoint_VRAM(44,8,1);
Bdisp_DrawLineVRAM(45,8,51,8);
Bdisp_SetPoint_VRAM(52,8,1);
Bdisp_DrawLineVRAM(66,8,73,8);
Bdisp_DrawLineVRAM(74,8,75,8);
Bdisp_SetPoint_VRAM(81,8,1);
Bdisp_DrawLineVRAM(82,8,87,8);
Bdisp_SetPoint_VRAM(88,8,1);
Bdisp_SetPoint_VRAM(98,8,1);
Bdisp_DrawLineVRAM(99,8,105,8);
Bdisp_SetPoint_VRAM(106,8,1);
Bdisp_SetPoint_VRAM(111,8,1);
Bdisp_SetPoint_VRAM(112,8,1);
Bdisp_SetPoint_VRAM(14,9,1);
Bdisp_DrawLineVRAM(15,9,22,9);
Bdisp_DrawLineVRAM(27,9,28,9);
Bdisp_SetPoint_VRAM(29,9,1);
Bdisp_SetPoint_VRAM(43,9,1);
Bdisp_DrawLineVRAM(44,9,52,9);
Bdisp_DrawLineVRAM(66,9,75,9);
Bdisp_SetPoint_VRAM(80,9,1);
Bdisp_DrawLineVRAM(81,9,87,9);
Bdisp_SetPoint_VRAM(88,9,1);
Bdisp_DrawLineVRAM(98,9,105,9);
Bdisp_SetPoint_VRAM(111,9,1);
Bdisp_DrawLineVRAM(14,10,21,10);
Bdisp_SetPoint_VRAM(22,10,1);
Bdisp_SetPoint_VRAM(27,10,1);
Bdisp_SetPoint_VRAM(28,10,1);
Bdisp_SetPoint_VRAM(42,10,1);
Bdisp_DrawLineVRAM(43,10,52,10);
Bdisp_SetPoint_VRAM(65,10,1);
Bdisp_DrawLineVRAM(66,10,75,10);
Bdisp_SetPoint_VRAM(79,10,1);
Bdisp_DrawLineVRAM(80,10,87,10);
Bdisp_SetPoint_VRAM(97,10,1);
Bdisp_DrawLineVRAM(98,10,105,10);
Bdisp_DrawLineVRAM(14,11,21,11);
Bdisp_SetPoint_VRAM(22,11,1);
Bdisp_SetPoint_VRAM(27,11,1);
Bdisp_SetPoint_VRAM(28,11,1);
Bdisp_SetPoint_VRAM(42,11,1);
Bdisp_DrawLineVRAM(43,11,52,11);
Bdisp_SetPoint_VRAM(65,11,1);
Bdisp_DrawLineVRAM(66,11,75,11);
Bdisp_SetPoint_VRAM(79,11,1);
Bdisp_DrawLineVRAM(80,11,87,11);
Bdisp_SetPoint_VRAM(97,11,1);
Bdisp_DrawLineVRAM(98,11,105,11);
Bdisp_SetPoint_VRAM(13,12,1);
Bdisp_DrawLineVRAM(14,12,21,12);
Bdisp_SetPoint_VRAM(22,12,1);
Bdisp_SetPoint_VRAM(27,12,1);
Bdisp_SetPoint_VRAM(31,12,1);
Bdisp_SetPoint_VRAM(41,12,1);
Bdisp_DrawLineVRAM(42,12,52,12);
Bdisp_DrawLineVRAM(65,12,75,12);
Bdisp_SetPoint_VRAM(76,12,1);
Bdisp_DrawLineVRAM(78,12,87,12);
Bdisp_DrawLineVRAM(97,12,108,12);
Bdisp_SetPoint_VRAM(109,12,1);
Bdisp_DrawLineVRAM(13,13,21,13);
Bdisp_SetPoint_VRAM(22,13,1);
Bdisp_DrawLineVRAM(23,13,31,13);
Bdisp_SetPoint_VRAM(32,13,1);
Bdisp_SetPoint_VRAM(41,13,1);
Bdisp_SetPoint_VRAM(42,13,1);
Bdisp_DrawLineVRAM(44,13,52,13);
Bdisp_DrawLineVRAM(65,13,86,13);
Bdisp_SetPoint_VRAM(87,13,1);
Bdisp_DrawLineVRAM(97,13,104,13);
Bdisp_SetPoint_VRAM(106,13,1);
Bdisp_DrawLineVRAM(107,13,108,13);
Bdisp_DrawLineVRAM(13,14,20,14);
Bdisp_SetPoint_VRAM(21,14,1);
Bdisp_SetPoint_VRAM(24,14,1);
Bdisp_DrawLineVRAM(25,14,28,14);
Bdisp_SetPoint_VRAM(29,14,1);
Bdisp_SetPoint_VRAM(40,14,1);
Bdisp_SetPoint_VRAM(41,14,1);
Bdisp_SetPoint_VRAM(44,14,1);
Bdisp_DrawLineVRAM(45,14,52,14);
Bdisp_SetPoint_VRAM(64,14,1);
Bdisp_SetPoint_VRAM(65,14,1);
Bdisp_SetPoint_VRAM(66,14,1);
Bdisp_DrawLineVRAM(67,14,77,14);
Bdisp_SetPoint_VRAM(78,14,1);
Bdisp_DrawLineVRAM(79,14,86,14);
Bdisp_SetPoint_VRAM(96,14,1);
Bdisp_DrawLineVRAM(97,14,104,14);
Bdisp_SetPoint_VRAM(107,14,1);
Bdisp_SetPoint_VRAM(108,14,1);
Bdisp_SetPoint_VRAM(110,14,1);
Bdisp_DrawLineVRAM(13,15,20,15);
Bdisp_SetPoint_VRAM(21,15,1);
Bdisp_SetPoint_VRAM(24,15,1);
Bdisp_DrawLineVRAM(25,15,28,15);
Bdisp_SetPoint_VRAM(29,15,1);
Bdisp_DrawLineVRAM(39,15,40,15);
Bdisp_SetPoint_VRAM(44,15,1);
Bdisp_DrawLineVRAM(45,15,52,15);
Bdisp_DrawLineVRAM(64,15,65,15);
Bdisp_SetPoint_VRAM(67,15,1);
Bdisp_DrawLineVRAM(68,15,76,15);
Bdisp_SetPoint_VRAM(78,15,1);
Bdisp_DrawLineVRAM(79,15,86,15);
Bdisp_SetPoint_VRAM(96,15,1);
Bdisp_DrawLineVRAM(97,15,103,15);
Bdisp_SetPoint_VRAM(104,15,1);
Bdisp_SetPoint_VRAM(106,15,1);
Bdisp_SetPoint_VRAM(107,15,1);
Bdisp_SetPoint_VRAM(110,15,1);
Bdisp_DrawLineVRAM(13,16,20,16);
Bdisp_SetPoint_VRAM(21,16,1);
Bdisp_DrawLineVRAM(24,16,28,16);
Bdisp_SetPoint_VRAM(38,16,1);
Bdisp_DrawLineVRAM(39,16,52,16);
Bdisp_SetPoint_VRAM(63,16,1);
Bdisp_SetPoint_VRAM(64,16,1);
Bdisp_SetPoint_VRAM(65,16,1);
Bdisp_DrawLineVRAM(68,16,75,16);
Bdisp_SetPoint_VRAM(78,16,1);
Bdisp_DrawLineVRAM(79,16,85,16);
Bdisp_SetPoint_VRAM(86,16,1);
Bdisp_DrawLineVRAM(96,16,103,16);
Bdisp_SetPoint_VRAM(108,16,1);
Bdisp_SetPoint_VRAM(109,16,1);
Bdisp_SetPoint_VRAM(110,16,1);
Bdisp_SetPoint_VRAM(13,17,1);
Bdisp_DrawLineVRAM(14,17,20,17);
Bdisp_SetPoint_VRAM(21,17,1);
Bdisp_SetPoint_VRAM(23,17,1);
Bdisp_DrawLineVRAM(24,17,27,17);
Bdisp_SetPoint_VRAM(28,17,1);
Bdisp_SetPoint_VRAM(35,17,1);
Bdisp_SetPoint_VRAM(37,17,1);
Bdisp_SetPoint_VRAM(38,17,1);
Bdisp_SetPoint_VRAM(39,17,1);
Bdisp_SetPoint_VRAM(44,17,1);
Bdisp_DrawLineVRAM(45,17,52,17);
Bdisp_DrawLineVRAM(63,17,65,17);
Bdisp_SetPoint_VRAM(68,17,1);
Bdisp_DrawLineVRAM(69,17,73,17);
Bdisp_DrawLineVRAM(78,17,85,17);
Bdisp_DrawLineVRAM(96,17,102,17);
Bdisp_SetPoint_VRAM(103,17,1);
Bdisp_DrawLineVRAM(107,17,109,17);
Bdisp_SetPoint_VRAM(14,18,1);
Bdisp_DrawLineVRAM(15,18,20,18);
Bdisp_SetPoint_VRAM(21,18,1);
Bdisp_DrawLineVRAM(23,18,26,18);
Bdisp_SetPoint_VRAM(27,18,1);
Bdisp_DrawLineVRAM(35,18,38,18);
Bdisp_SetPoint_VRAM(44,18,1);
Bdisp_DrawLineVRAM(45,18,52,18);
Bdisp_SetPoint_VRAM(53,18,1);
Bdisp_DrawLineVRAM(62,18,65,18);
Bdisp_SetPoint_VRAM(66,18,1);
Bdisp_DrawLineVRAM(69,18,71,18);
Bdisp_SetPoint_VRAM(72,18,1);
Bdisp_SetPoint_VRAM(77,18,1);
Bdisp_DrawLineVRAM(78,18,85,18);
Bdisp_SetPoint_VRAM(95,18,1);
Bdisp_DrawLineVRAM(96,18,102,18);
Bdisp_DrawLineVRAM(105,18,109,18);
Bdisp_SetPoint_VRAM(16,19,1);
Bdisp_DrawLineVRAM(17,19,23,19);
Bdisp_SetPoint_VRAM(36,19,1);
Bdisp_SetPoint_VRAM(37,19,1);
Bdisp_SetPoint_VRAM(38,19,1);
Bdisp_DrawLineVRAM(42,19,54,19);
Bdisp_SetPoint_VRAM(55,19,1);
Bdisp_SetPoint_VRAM(59,19,1);
Bdisp_DrawLineVRAM(60,19,67,19);
Bdisp_SetPoint_VRAM(68,19,1);
Bdisp_SetPoint_VRAM(70,19,1);
Bdisp_SetPoint_VRAM(71,19,1);
Bdisp_DrawLineVRAM(73,19,88,19);
Bdisp_SetPoint_VRAM(91,19,1);
Bdisp_DrawLineVRAM(92,19,108,19);
Bdisp_DrawLineVRAM(25,25,32,25);
Bdisp_SetPoint_VRAM(43,25,1);
Bdisp_DrawLineVRAM(44,25,55,25);
Bdisp_SetPoint_VRAM(56,25,1);
Bdisp_SetPoint_VRAM(57,25,1);
Bdisp_DrawLineVRAM(58,25,62,25);
Bdisp_SetPoint_VRAM(63,25,1);
Bdisp_SetPoint_VRAM(66,25,1);
Bdisp_DrawLineVRAM(67,25,84,25);
Bdisp_SetPoint_VRAM(85,25,1);
Bdisp_DrawLineVRAM(90,25,102,25);
Bdisp_SetPoint_VRAM(103,25,1);
Bdisp_DrawLineVRAM(22,26,27,26);
Bdisp_SetPoint_VRAM(28,26,1);
Bdisp_DrawLineVRAM(30,26,34,26);
Bdisp_DrawLineVRAM(45,26,53,26);
Bdisp_SetPoint_VRAM(58,26,1);
Bdisp_DrawLineVRAM(59,26,60,26);
Bdisp_SetPoint_VRAM(61,26,1);
Bdisp_SetPoint_VRAM(69,26,1);
Bdisp_DrawLineVRAM(70,26,78,26);
Bdisp_SetPoint_VRAM(81,26,1);
Bdisp_DrawLineVRAM(82,26,84,26);
Bdisp_SetPoint_VRAM(85,26,1);
Bdisp_DrawLineVRAM(93,26,99,26);
Bdisp_SetPoint_VRAM(100,26,1);
Bdisp_DrawLineVRAM(101,26,104,26);
Bdisp_SetPoint_VRAM(20,27,1);
Bdisp_DrawLineVRAM(21,27,26,27);
Bdisp_SetPoint_VRAM(27,27,1);
Bdisp_DrawLineVRAM(30,27,35,27);
Bdisp_DrawLineVRAM(45,27,52,27);
Bdisp_SetPoint_VRAM(53,27,1);
Bdisp_DrawLineVRAM(58,27,59,27);
Bdisp_SetPoint_VRAM(60,27,1);
Bdisp_SetPoint_VRAM(69,27,1);
Bdisp_DrawLineVRAM(70,27,77,27);
Bdisp_SetPoint_VRAM(78,27,1);
Bdisp_DrawLineVRAM(83,27,84,27);
Bdisp_SetPoint_VRAM(92,27,1);
Bdisp_DrawLineVRAM(93,27,99,27);
Bdisp_DrawLineVRAM(102,27,104,27);
Bdisp_SetPoint_VRAM(105,27,1);
Bdisp_SetPoint_VRAM(19,28,1);
Bdisp_DrawLineVRAM(20,28,26,28);
Bdisp_SetPoint_VRAM(29,28,1);
Bdisp_DrawLineVRAM(30,28,35,28);
Bdisp_SetPoint_VRAM(36,28,1);
Bdisp_DrawLineVRAM(45,28,52,28);
Bdisp_SetPoint_VRAM(53,28,1);
Bdisp_DrawLineVRAM(58,28,59,28);
Bdisp_SetPoint_VRAM(69,28,1);
Bdisp_DrawLineVRAM(70,28,77,28);
Bdisp_SetPoint_VRAM(78,28,1);
Bdisp_SetPoint_VRAM(83,28,1);
Bdisp_SetPoint_VRAM(84,28,1);
Bdisp_DrawLineVRAM(92,28,98,28);
Bdisp_SetPoint_VRAM(99,28,1);
Bdisp_SetPoint_VRAM(102,28,1);
Bdisp_DrawLineVRAM(103,28,104,28);
Bdisp_SetPoint_VRAM(105,28,1);
Bdisp_SetPoint_VRAM(18,29,1);
Bdisp_DrawLineVRAM(19,29,25,29);
Bdisp_SetPoint_VRAM(26,29,1);
Bdisp_SetPoint_VRAM(29,29,1);
Bdisp_DrawLineVRAM(30,29,36,29);
Bdisp_DrawLineVRAM(45,29,53,29);
Bdisp_DrawLineVRAM(57,29,58,29);
Bdisp_DrawLineVRAM(69,29,77,29);
Bdisp_SetPoint_VRAM(83,29,1);
Bdisp_SetPoint_VRAM(91,29,1);
Bdisp_DrawLineVRAM(92,29,98,29);
Bdisp_SetPoint_VRAM(99,29,1);
Bdisp_SetPoint_VRAM(102,29,1);
Bdisp_DrawLineVRAM(103,29,104,29);
Bdisp_DrawLineVRAM(18,30,25,30);
Bdisp_DrawLineVRAM(29,30,36,30);
Bdisp_SetPoint_VRAM(45,30,1);
Bdisp_DrawLineVRAM(46,30,53,30);
Bdisp_SetPoint_VRAM(56,30,1);
Bdisp_SetPoint_VRAM(57,30,1);
Bdisp_SetPoint_VRAM(58,30,1);
Bdisp_SetPoint_VRAM(68,30,1);
Bdisp_DrawLineVRAM(69,30,77,30);
Bdisp_DrawLineVRAM(91,30,98,30);
Bdisp_DrawLineVRAM(102,30,103,30);
Bdisp_SetPoint_VRAM(104,30,1);
Bdisp_SetPoint_VRAM(17,31,1);
Bdisp_DrawLineVRAM(18,31,24,31);
Bdisp_SetPoint_VRAM(25,31,1);
Bdisp_DrawLineVRAM(29,31,35,31);
Bdisp_SetPoint_VRAM(36,31,1);
Bdisp_SetPoint_VRAM(45,31,1);
Bdisp_DrawLineVRAM(46,31,53,31);
Bdisp_SetPoint_VRAM(54,31,1);
Bdisp_SetPoint_VRAM(55,31,1);
Bdisp_SetPoint_VRAM(56,31,1);
Bdisp_SetPoint_VRAM(57,31,1);
Bdisp_DrawLineVRAM(68,31,80,31);
Bdisp_SetPoint_VRAM(81,31,1);
Bdisp_DrawLineVRAM(91,31,102,31);
Bdisp_DrawLineVRAM(17,32,24,32);
Bdisp_SetPoint_VRAM(25,32,1);
Bdisp_SetPoint_VRAM(28,32,1);
Bdisp_DrawLineVRAM(29,32,35,32);
Bdisp_SetPoint_VRAM(36,32,1);
Bdisp_SetPoint_VRAM(45,32,1);
Bdisp_DrawLineVRAM(46,32,55,32);
Bdisp_SetPoint_VRAM(56,32,1);
Bdisp_DrawLineVRAM(68,32,76,32);
Bdisp_SetPoint_VRAM(78,32,1);
Bdisp_DrawLineVRAM(79,32,80,32);
Bdisp_SetPoint_VRAM(90,32,1);
Bdisp_DrawLineVRAM(91,32,97,32);
Bdisp_SetPoint_VRAM(98,32,1);
Bdisp_SetPoint_VRAM(99,32,1);
Bdisp_DrawLineVRAM(100,32,102,32);
Bdisp_SetPoint_VRAM(103,32,1);
Bdisp_DrawLineVRAM(17,33,24,33);
Bdisp_DrawLineVRAM(28,33,35,33);
Bdisp_DrawLineVRAM(46,33,55,33);
Bdisp_SetPoint_VRAM(67,33,1);
Bdisp_DrawLineVRAM(68,33,76,33);
Bdisp_SetPoint_VRAM(79,33,1);
Bdisp_SetPoint_VRAM(80,33,1);
Bdisp_SetPoint_VRAM(82,33,1);
Bdisp_SetPoint_VRAM(90,33,1);
Bdisp_DrawLineVRAM(91,33,97,33);
Bdisp_DrawLineVRAM(100,33,103,33);
Bdisp_SetPoint_VRAM(104,33,1);
Bdisp_DrawLineVRAM(17,34,24,34);
Bdisp_DrawLineVRAM(28,34,34,34);
Bdisp_DrawLineVRAM(46,34,54,34);
Bdisp_SetPoint_VRAM(67,34,1);
Bdisp_DrawLineVRAM(68,34,75,34);
Bdisp_SetPoint_VRAM(76,34,1);
Bdisp_SetPoint_VRAM(78,34,1);
Bdisp_SetPoint_VRAM(79,34,1);
Bdisp_SetPoint_VRAM(82,34,1);
Bdisp_DrawLineVRAM(90,34,97,34);
Bdisp_DrawLineVRAM(100,34,104,34);
Bdisp_DrawLineVRAM(17,35,23,35);
Bdisp_SetPoint_VRAM(24,35,1);
Bdisp_SetPoint_VRAM(27,35,1);
Bdisp_DrawLineVRAM(28,35,33,35);
Bdisp_SetPoint_VRAM(34,35,1);
Bdisp_SetPoint_VRAM(46,35,1);
Bdisp_DrawLineVRAM(47,35,53,35);
Bdisp_DrawLineVRAM(67,35,75,35);
Bdisp_SetPoint_VRAM(80,35,1);
Bdisp_SetPoint_VRAM(81,35,1);
Bdisp_SetPoint_VRAM(82,35,1);
Bdisp_SetPoint_VRAM(89,35,1);
Bdisp_DrawLineVRAM(90,35,96,35);
Bdisp_SetPoint_VRAM(97,35,1);
Bdisp_DrawLineVRAM(100,35,104,35);
Bdisp_SetPoint_VRAM(105,35,1);
Bdisp_SetPoint_VRAM(17,36,1);
Bdisp_DrawLineVRAM(18,36,23,36);
Bdisp_SetPoint_VRAM(24,36,1);
Bdisp_DrawLineVRAM(27,36,32,36);
Bdisp_SetPoint_VRAM(46,36,1);
Bdisp_DrawLineVRAM(47,36,52,36);
Bdisp_DrawLineVRAM(67,36,73,36);
Bdisp_DrawLineVRAM(74,36,75,36);
Bdisp_DrawLineVRAM(79,36,81,36);
Bdisp_SetPoint_VRAM(89,36,1);
Bdisp_DrawLineVRAM(90,36,96,36);
Bdisp_DrawLineVRAM(100,36,105,36);
Bdisp_SetPoint_VRAM(18,37,1);
Bdisp_DrawLineVRAM(19,37,23,37);
Bdisp_SetPoint_VRAM(24,37,1);
Bdisp_DrawLineVRAM(26,37,30,37);
Bdisp_SetPoint_VRAM(31,37,1);
Bdisp_DrawLineVRAM(47,37,51,37);
Bdisp_SetPoint_VRAM(66,37,1);
Bdisp_DrawLineVRAM(67,37,73,37);
Bdisp_DrawLineVRAM(77,37,80,37);
Bdisp_SetPoint_VRAM(81,37,1);
Bdisp_DrawLineVRAM(88,37,95,37);
Bdisp_SetPoint_VRAM(96,37,1);
Bdisp_DrawLineVRAM(100,37,106,37);
Bdisp_SetPoint_VRAM(20,38,1);
Bdisp_DrawLineVRAM(21,38,27,38);
Bdisp_SetPoint_VRAM(28,38,1);
Bdisp_DrawLineVRAM(47,38,49,38);
Bdisp_SetPoint_VRAM(50,38,1);
Bdisp_SetPoint_VRAM(62,38,1);
Bdisp_DrawLineVRAM(63,38,80,38);
Bdisp_DrawLineVRAM(85,38,98,38);
Bdisp_DrawLineVRAM(100,38,107,38);
Bdisp_SetPoint_VRAM(47,39,1);
Bdisp_SetPoint_VRAM(48,39,1);

}

int AddIn_main(int isAppli, unsigned short OptionNum) // Programme principal
{
	// Variables pour le joueur
	float posX,posY,vit,dir;
	int nbrTir, bloqueTir;
	int vie, mort, particules;
	float **tir[64][4];
	// Variables pour les asteroids
	float **ennemi[64][5];
	int *destroyEnnemi[5];
	int nbrEnnemi;
	// Variables pour les toiles
	int **stars[64][2];
	int nbStars;
	// Autres variables
	int exit = 0;
	int exe;
	int i;
	int niveau;
	int score;
	
	while(exit == 0)
	{
		// Menu
		nbStars = 32;
		initStars(stars, &nbStars);
		Bdisp_AllClr_VRAM();
		drawMenu();
		drawStars(stars, nbStars);
		Bdisp_PutDisp_DD();
		exe = testExe();
		while(exe == 1)
		{
			exe = testExe();
		}
		while(exe == 0 && exit == 0)
		{
			exit = testExit();
			exe = testExe();
			Rand32(0,1000000);
		}
		while(exe == 1)
		{
			exe = testExe();
		}
		niveau = 1;
		score = 0;
		vie = 3;
		
		while(vie >= 0 && exit == 0) // Jeu
		{
			// Initialisation jeu
			nbrTir = 0;
			bloqueTir = 0;
			posX = 64;
			posY = 31;
			dir = PI / 2;
			vit = 0;
			mort = 0;
			// Ennemi
			nbrEnnemi = 0;
			initDestroyEnnemi(destroyEnnemi);
			for(i = 0; i < niveau; i ++)
			{
				newEnnemi(0, 0, ennemi, &nbrEnnemi, posX, posY);
			}
			// Etoiles
			nbStars = 16;
			initStars(stars, &nbStars);
			// "Entre niveau"
			Bdisp_AllClr_VRAM();
			drawWin(score, niveau, vie);
			drawStars(stars, nbStars);
			Bdisp_PutDisp_DD();
			exe = testExe();
			while(exe == 0 && exit == 0)
			{
				exit = testExit();
				exe = testExe();
			}
			while(exe == 1)
			{
				exe = testExe();
			}
			while(mort == 0 && nbrEnnemi > 0 && exit == 0)
			{
				Bdisp_AllClr_VRAM();
				
				turnPlayer(&dir);
				movePlayer(&posX, &posY, &vit, dir);
				shotPlayer(&nbrTir, tir, posX, posY, dir, &bloqueTir, ennemi, &nbrEnnemi, destroyEnnemi);
				drawPlayer(posX, posY, dir);
				mort += killPlayer(posX, posY, ennemi, nbrEnnemi);
				
				moveEnnemi(ennemi, nbrEnnemi);
				exploseEnnemi(destroyEnnemi);
				if((int)(destroyEnnemi[0]) != -1) // Cration de 3 nouveaux ennemis de taille infrieure si un a t dtruit
				{
					score += 10 * ((int)(destroyEnnemi[1]) + 1); // Augmentation du score
					newEnnemi((int)(destroyEnnemi[0]), (int)(destroyEnnemi[1]) + 1, ennemi, &nbrEnnemi, posX, posY);
					newEnnemi((int)(destroyEnnemi[0]), (int)(destroyEnnemi[1]) + 1, ennemi, &nbrEnnemi, posX, posY);
					newEnnemi((int)(destroyEnnemi[0]), (int)(destroyEnnemi[1]) + 1, ennemi, &nbrEnnemi, posX, posY);
				}
			
				drawStars(stars, nbStars);
				
				Bdisp_PutDisp_DD();
				exit = testExit();
				Sleep(0);
			}
		
			// Fin jeu
			if(mort == 0) // Gagn !!!
			{
				particules = 0;
				dir = PI / 2;
				posX = 64;
				posY = 31;
				niveau ++;
				vie ++;
				while(particules < 400 && exit == 0)
				{
					Bdisp_AllClr_VRAM();
					drawPlayer(posX, posY, dir);
					//drawStars(stars, nbStars);
					winPlayer(&particules);
					Bdisp_PutDisp_DD();
					exit = testExit();
					Sleep(10);
				}
			}else // Perdu !!!
			{
				particules = 0;
				vie --;
				while(particules < 400 && exit == 0)
				{
					Bdisp_AllClr_VRAM();
					moveEnnemi(ennemi, nbrEnnemi);
					drawStars(stars, nbStars);
					explosePlayer(posX, posY, &particules);
					Bdisp_PutDisp_DD();
					exit = testExit();
					Sleep(10);
				}
			}
		}
		// Game Over
		nbStars = 32;
		initStars(stars, &nbStars);
		Bdisp_AllClr_VRAM();
		drawGameOver(score);
		drawStars(stars, nbStars);
		Bdisp_PutDisp_DD();
		exe = testExe();
		while(exe == 1)
		{
			exe = testExe();
		}
		while(exe == 0 && exit == 0)
		{
			exit = testExit();
			exe = testExe();
		}
	}
}



//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section

